services:
  olivetin:
    container_name: olivetin
    image: jamesread/olivetin:latest
    user: root
    networks:
      - reverse-proxy
    ports:
      - 1337:1337
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/config:/config
      - /var/run/docker.sock:/var/run/docker.sock
      - /home/akanealw/scripts/olivetin:/scripts:ro

networks:
  reverse-proxy:
    name: reverse-proxy
    external: true
